LALAPPS_MKCALREF(22 January 2003)

NAME
lalapps_mkcalref - generates frame and ILWD calibration reference files

SYNOPSIS
lalapps_mkcalref -run run -time gpssec -ifo'H1'|'H2'|'L1' responsefile sensingfile [[-ifo'H1'|'H2'|'L1' responsefile2 sensingfile2 ]...]

DESCRIPTION

lalapps_mkcalref generates frame-format and ILWD-format calibration reference files from a set of ascii-format files. The calibration reference files contain the complex response (closed-loop) function or the sensing (cavity response) function for a particular reference time. These are necessary, along with the calibration factors, alpha and beta, to reconstruct the response function for some time of interest. For any given run (e.g., E7, S1, ...) there may be one (L1 at LLO) or two (H1 and H2 at LHO) interferometers operating at a given site. Each interferometer has its own ascii-format calibration file. However, the frame-format file containing the calibration factors must include all interferometers operating at that site. Hence, it is possible to specify multiple ifos for a given run and reference time. However, the precise time of calibration is likely to be different for the two interferometers at LHO, so, in practice, a given frame file will probably have only one interferometer's reference spectrum. The ascii-format calibration files found at URL: http://blue.ligo-wa.caltech.edu/engrun/Calib_Home/html/cal_home.html

OPTIONS

-run run
    Specify the run run for the output file names, e.g., E7, S1, etc.

-time gpssec
    Specify the GPS time gpssec of the reference calibration spectra.

-ifo ifo responsefile sensingfile
    Specify the interferometer ifo (one of H1, H2, or L1) and the associated ascii-format files responsefile (the response function) and sensingfile (the sensing function).

EXAMPLE

The command

    lalapps_mkcalref -run S1 -time 715388533 -ifo L1 S1-L1-CAL-RESPONSE.txt S1-L1-CAL-CAV_GAIN.txt

will generate S1 calibration factor files for LLO from the ascii response file S1-L1-CAL-RESPONSE.txt and the ascii sensing file S1-L1-CAL-CAV_GAIN.txt, which were recorded at GPS time 715388533.

AUTHOR
Jolien Creighton